### Property

# Gio DBusConnection:stream

since: 2.26

#### Declaration

    property stream: Gio.IOStream [ read, write, construct-only ]

#### Description

The underlying `GIOStream` used for I/O.

If this is passed on construction and is a `GSocketConnection`, then the corresponding `GSocket` will be put into non-blocking mode.

While the `GDBusConnection` is active, it will interact with this stream from a worker thread, so it is not safe to interact with the stream directly.

Type:`GIOStream`

Available since: 2.26

Getter method | `g_dbus_connection_get_stream()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes